]> git.sur5r.net Git - tio/blob - Makefile.in
New upstream version 1.31
[tio] / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94         $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96  configure.lineno config.status.lineno
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_HEADER = $(top_builddir)/src/include/config.h
99 CONFIG_CLEAN_FILES = src/bash-completion/tio
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 SOURCES =
114 DIST_SOURCES =
115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116         ctags-recursive dvi-recursive html-recursive info-recursive \
117         install-data-recursive install-dvi-recursive \
118         install-exec-recursive install-html-recursive \
119         install-info-recursive install-pdf-recursive \
120         install-ps-recursive install-recursive installcheck-recursive \
121         installdirs-recursive pdf-recursive ps-recursive \
122         tags-recursive uninstall-recursive
123 am__can_run_installinfo = \
124   case $$AM_UPDATE_INFO_DIR in \
125     n|no|NO) false;; \
126     *) (install-info --version) >/dev/null 2>&1;; \
127   esac
128 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
129   distclean-recursive maintainer-clean-recursive
130 am__recursive_targets = \
131   $(RECURSIVE_TARGETS) \
132   $(RECURSIVE_CLEAN_TARGETS) \
133   $(am__extra_recursive_targets)
134 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
135         cscope distdir dist dist-all distcheck
136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
137 # Read a list of newline-separated strings from the standard input,
138 # and print each of them once, without duplicates.  Input order is
139 # *not* preserved.
140 am__uniquify_input = $(AWK) '\
141   BEGIN { nonempty = 0; } \
142   { items[$$0] = 1; nonempty = 1; } \
143   END { if (nonempty) { for (i in items) print i; }; } \
144 '
145 # Make sure the list of sources is unique.  This is necessary because,
146 # e.g., the same source file might be shared among _SOURCES variables
147 # for different programs/libraries.
148 am__define_uniq_tagged_files = \
149   list='$(am__tagged_files)'; \
150   unique=`for i in $$list; do \
151     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
152   done | $(am__uniquify_input)`
153 ETAGS = etags
154 CTAGS = ctags
155 CSCOPE = cscope
156 DIST_SUBDIRS = $(SUBDIRS)
157 am__DIST_COMMON = $(srcdir)/Makefile.in \
158         $(top_srcdir)/src/bash-completion/tio.in \
159         $(top_srcdir)/src/include/config.h.in AUTHORS COPYING \
160         ChangeLog INSTALL README compile depcomp install-sh missing
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 distdir = $(PACKAGE)-$(VERSION)
163 top_distdir = $(distdir)
164 am__remove_distdir = \
165   if test -d "$(distdir)"; then \
166     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167       && rm -rf "$(distdir)" \
168       || { sleep 5 && rm -rf "$(distdir)"; }; \
169   else :; fi
170 am__post_remove_distdir = $(am__remove_distdir)
171 am__relativize = \
172   dir0=`pwd`; \
173   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174   sed_rest='s,^[^/]*/*,,'; \
175   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176   sed_butlast='s,/*[^/]*$$,,'; \
177   while test -n "$$dir1"; do \
178     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179     if test "$$first" != "."; then \
180       if test "$$first" = ".."; then \
181         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183       else \
184         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185         if test "$$first2" = "$$first"; then \
186           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187         else \
188           dir2="../$$dir2"; \
189         fi; \
190         dir0="$$dir0"/"$$first"; \
191       fi; \
192     fi; \
193     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194   done; \
195   reldir="$$dir2"
196 GZIP_ENV = --best
197 DIST_ARCHIVES = $(distdir).tar.xz
198 DIST_TARGETS = dist-xz
199 distuninstallcheck_listfiles = find . -type f -print
200 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
202 distcleancheck_listfiles = find . -type f -print
203 ACLOCAL = @ACLOCAL@
204 AMTAR = @AMTAR@
205 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
206 AUTOCONF = @AUTOCONF@
207 AUTOHEADER = @AUTOHEADER@
208 AUTOMAKE = @AUTOMAKE@
209 AWK = @AWK@
210 BASH_COMPLETION_DIR = @BASH_COMPLETION_DIR@
211 BAUDRATES = @BAUDRATES@
212 BAUDRATE_CASES = @BAUDRATE_CASES@
213 CC = @CC@
214 CCDEPMODE = @CCDEPMODE@
215 CFLAGS = @CFLAGS@
216 CPPFLAGS = @CPPFLAGS@
217 CYGPATH_W = @CYGPATH_W@
218 DEFS = @DEFS@
219 DEPDIR = @DEPDIR@
220 ECHO_C = @ECHO_C@
221 ECHO_N = @ECHO_N@
222 ECHO_T = @ECHO_T@
223 EXEEXT = @EXEEXT@
224 INSTALL = @INSTALL@
225 INSTALL_DATA = @INSTALL_DATA@
226 INSTALL_PROGRAM = @INSTALL_PROGRAM@
227 INSTALL_SCRIPT = @INSTALL_SCRIPT@
228 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
229 LDFLAGS = @LDFLAGS@
230 LIBOBJS = @LIBOBJS@
231 LIBS = @LIBS@
232 LTLIBOBJS = @LTLIBOBJS@
233 MAKEINFO = @MAKEINFO@
234 MKDIR_P = @MKDIR_P@
235 OBJEXT = @OBJEXT@
236 PACKAGE = @PACKAGE@
237 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
238 PACKAGE_NAME = @PACKAGE_NAME@
239 PACKAGE_STRING = @PACKAGE_STRING@
240 PACKAGE_TARNAME = @PACKAGE_TARNAME@
241 PACKAGE_URL = @PACKAGE_URL@
242 PACKAGE_VERSION = @PACKAGE_VERSION@
243 PATH_SEPARATOR = @PATH_SEPARATOR@
244 SET_MAKE = @SET_MAKE@
245 SHELL = @SHELL@
246 STRIP = @STRIP@
247 VERSION = @VERSION@
248 abs_builddir = @abs_builddir@
249 abs_srcdir = @abs_srcdir@
250 abs_top_builddir = @abs_top_builddir@
251 abs_top_srcdir = @abs_top_srcdir@
252 ac_ct_CC = @ac_ct_CC@
253 am__include = @am__include@
254 am__leading_dot = @am__leading_dot@
255 am__quote = @am__quote@
256 am__tar = @am__tar@
257 am__untar = @am__untar@
258 bindir = @bindir@
259 build_alias = @build_alias@
260 builddir = @builddir@
261 datadir = @datadir@
262 datarootdir = @datarootdir@
263 docdir = @docdir@
264 dvidir = @dvidir@
265 exec_prefix = @exec_prefix@
266 host_alias = @host_alias@
267 htmldir = @htmldir@
268 includedir = @includedir@
269 infodir = @infodir@
270 install_sh = @install_sh@
271 libdir = @libdir@
272 libexecdir = @libexecdir@
273 localedir = @localedir@
274 localstatedir = @localstatedir@
275 mandir = @mandir@
276 mkdir_p = @mkdir_p@
277 oldincludedir = @oldincludedir@
278 pdfdir = @pdfdir@
279 prefix = @prefix@
280 program_transform_name = @program_transform_name@
281 psdir = @psdir@
282 runstatedir = @runstatedir@
283 sbindir = @sbindir@
284 sharedstatedir = @sharedstatedir@
285 srcdir = @srcdir@
286 sysconfdir = @sysconfdir@
287 target_alias = @target_alias@
288 top_build_prefix = @top_build_prefix@
289 top_builddir = @top_builddir@
290 top_srcdir = @top_srcdir@
291 SUBDIRS = src man
292 all: all-recursive
293
294 .SUFFIXES:
295 am--refresh: Makefile
296         @:
297 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
298         @for dep in $?; do \
299           case '$(am__configure_deps)' in \
300             *$$dep*) \
301               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
302               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
303                 && exit 0; \
304               exit 1;; \
305           esac; \
306         done; \
307         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
308         $(am__cd) $(top_srcdir) && \
309           $(AUTOMAKE) --foreign Makefile
310 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
311         @case '$?' in \
312           *config.status*) \
313             echo ' $(SHELL) ./config.status'; \
314             $(SHELL) ./config.status;; \
315           *) \
316             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
317             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
318         esac;
319
320 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
321         $(SHELL) ./config.status --recheck
322
323 $(top_srcdir)/configure:  $(am__configure_deps)
324         $(am__cd) $(srcdir) && $(AUTOCONF)
325 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
326         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
327 $(am__aclocal_m4_deps):
328
329 src/include/config.h: src/include/stamp-h1
330         @test -f $@ || rm -f src/include/stamp-h1
331         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) src/include/stamp-h1
332
333 src/include/stamp-h1: $(top_srcdir)/src/include/config.h.in $(top_builddir)/config.status
334         @rm -f src/include/stamp-h1
335         cd $(top_builddir) && $(SHELL) ./config.status src/include/config.h
336 $(top_srcdir)/src/include/config.h.in:  $(am__configure_deps) 
337         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
338         rm -f src/include/stamp-h1
339         touch $@
340
341 distclean-hdr:
342         -rm -f src/include/config.h src/include/stamp-h1
343 src/bash-completion/tio: $(top_builddir)/config.status $(top_srcdir)/src/bash-completion/tio.in
344         cd $(top_builddir) && $(SHELL) ./config.status $@
345
346 # This directory's subdirectories are mostly independent; you can cd
347 # into them and run 'make' without going through this Makefile.
348 # To change the values of 'make' variables: instead of editing Makefiles,
349 # (1) if the variable is set in 'config.status', edit 'config.status'
350 #     (which will cause the Makefiles to be regenerated when you run 'make');
351 # (2) otherwise, pass the desired values on the 'make' command line.
352 $(am__recursive_targets):
353         @fail=; \
354         if $(am__make_keepgoing); then \
355           failcom='fail=yes'; \
356         else \
357           failcom='exit 1'; \
358         fi; \
359         dot_seen=no; \
360         target=`echo $@ | sed s/-recursive//`; \
361         case "$@" in \
362           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
363           *) list='$(SUBDIRS)' ;; \
364         esac; \
365         for subdir in $$list; do \
366           echo "Making $$target in $$subdir"; \
367           if test "$$subdir" = "."; then \
368             dot_seen=yes; \
369             local_target="$$target-am"; \
370           else \
371             local_target="$$target"; \
372           fi; \
373           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
374           || eval $$failcom; \
375         done; \
376         if test "$$dot_seen" = "no"; then \
377           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
378         fi; test -z "$$fail"
379
380 ID: $(am__tagged_files)
381         $(am__define_uniq_tagged_files); mkid -fID $$unique
382 tags: tags-recursive
383 TAGS: tags
384
385 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
386         set x; \
387         here=`pwd`; \
388         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
389           include_option=--etags-include; \
390           empty_fix=.; \
391         else \
392           include_option=--include; \
393           empty_fix=; \
394         fi; \
395         list='$(SUBDIRS)'; for subdir in $$list; do \
396           if test "$$subdir" = .; then :; else \
397             test ! -f $$subdir/TAGS || \
398               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
399           fi; \
400         done; \
401         $(am__define_uniq_tagged_files); \
402         shift; \
403         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
404           test -n "$$unique" || unique=$$empty_fix; \
405           if test $$# -gt 0; then \
406             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
407               "$$@" $$unique; \
408           else \
409             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
410               $$unique; \
411           fi; \
412         fi
413 ctags: ctags-recursive
414
415 CTAGS: ctags
416 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
417         $(am__define_uniq_tagged_files); \
418         test -z "$(CTAGS_ARGS)$$unique" \
419           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
420              $$unique
421
422 GTAGS:
423         here=`$(am__cd) $(top_builddir) && pwd` \
424           && $(am__cd) $(top_srcdir) \
425           && gtags -i $(GTAGS_ARGS) "$$here"
426 cscope: cscope.files
427         test ! -s cscope.files \
428           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
429 clean-cscope:
430         -rm -f cscope.files
431 cscope.files: clean-cscope cscopelist
432 cscopelist: cscopelist-recursive
433
434 cscopelist-am: $(am__tagged_files)
435         list='$(am__tagged_files)'; \
436         case "$(srcdir)" in \
437           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
438           *) sdir=$(subdir)/$(srcdir) ;; \
439         esac; \
440         for i in $$list; do \
441           if test -f "$$i"; then \
442             echo "$(subdir)/$$i"; \
443           else \
444             echo "$$sdir/$$i"; \
445           fi; \
446         done >> $(top_builddir)/cscope.files
447
448 distclean-tags:
449         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
450         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
451
452 distdir: $(DISTFILES)
453         $(am__remove_distdir)
454         test -d "$(distdir)" || mkdir "$(distdir)"
455         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
456         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
457         list='$(DISTFILES)'; \
458           dist_files=`for file in $$list; do echo $$file; done | \
459           sed -e "s|^$$srcdirstrip/||;t" \
460               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
461         case $$dist_files in \
462           */*) $(MKDIR_P) `echo "$$dist_files" | \
463                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
464                            sort -u` ;; \
465         esac; \
466         for file in $$dist_files; do \
467           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
468           if test -d $$d/$$file; then \
469             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
470             if test -d "$(distdir)/$$file"; then \
471               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
472             fi; \
473             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
474               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
475               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
476             fi; \
477             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
478           else \
479             test -f "$(distdir)/$$file" \
480             || cp -p $$d/$$file "$(distdir)/$$file" \
481             || exit 1; \
482           fi; \
483         done
484         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
485           if test "$$subdir" = .; then :; else \
486             $(am__make_dryrun) \
487               || test -d "$(distdir)/$$subdir" \
488               || $(MKDIR_P) "$(distdir)/$$subdir" \
489               || exit 1; \
490             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
491             $(am__relativize); \
492             new_distdir=$$reldir; \
493             dir1=$$subdir; dir2="$(top_distdir)"; \
494             $(am__relativize); \
495             new_top_distdir=$$reldir; \
496             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
497             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
498             ($(am__cd) $$subdir && \
499               $(MAKE) $(AM_MAKEFLAGS) \
500                 top_distdir="$$new_top_distdir" \
501                 distdir="$$new_distdir" \
502                 am__remove_distdir=: \
503                 am__skip_length_check=: \
504                 am__skip_mode_fix=: \
505                 distdir) \
506               || exit 1; \
507           fi; \
508         done
509         -test -n "$(am__skip_mode_fix)" \
510         || find "$(distdir)" -type d ! -perm -755 \
511                 -exec chmod u+rwx,go+rx {} \; -o \
512           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
513           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
514           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
515         || chmod -R a+r "$(distdir)"
516 dist-gzip: distdir
517         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
518         $(am__post_remove_distdir)
519
520 dist-bzip2: distdir
521         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
522         $(am__post_remove_distdir)
523
524 dist-lzip: distdir
525         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
526         $(am__post_remove_distdir)
527 dist-xz: distdir
528         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
529         $(am__post_remove_distdir)
530
531 dist-tarZ: distdir
532         @echo WARNING: "Support for distribution archives compressed with" \
533                        "legacy program 'compress' is deprecated." >&2
534         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
535         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
536         $(am__post_remove_distdir)
537
538 dist-shar: distdir
539         @echo WARNING: "Support for shar distribution archives is" \
540                        "deprecated." >&2
541         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
542         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
543         $(am__post_remove_distdir)
544
545 dist-zip: distdir
546         -rm -f $(distdir).zip
547         zip -rq $(distdir).zip $(distdir)
548         $(am__post_remove_distdir)
549
550 dist dist-all:
551         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
552         $(am__post_remove_distdir)
553
554 # This target untars the dist file and tries a VPATH configuration.  Then
555 # it guarantees that the distribution is self-contained by making another
556 # tarfile.
557 distcheck: dist
558         case '$(DIST_ARCHIVES)' in \
559         *.tar.gz*) \
560           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
561         *.tar.bz2*) \
562           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
563         *.tar.lz*) \
564           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
565         *.tar.xz*) \
566           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
567         *.tar.Z*) \
568           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
569         *.shar.gz*) \
570           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
571         *.zip*) \
572           unzip $(distdir).zip ;;\
573         esac
574         chmod -R a-w $(distdir)
575         chmod u+w $(distdir)
576         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
577         chmod a-w $(distdir)
578         test -d $(distdir)/_build || exit 0; \
579         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
580           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
581           && am__cwd=`pwd` \
582           && $(am__cd) $(distdir)/_build/sub \
583           && ../../configure \
584             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
585             $(DISTCHECK_CONFIGURE_FLAGS) \
586             --srcdir=../.. --prefix="$$dc_install_base" \
587           && $(MAKE) $(AM_MAKEFLAGS) \
588           && $(MAKE) $(AM_MAKEFLAGS) dvi \
589           && $(MAKE) $(AM_MAKEFLAGS) check \
590           && $(MAKE) $(AM_MAKEFLAGS) install \
591           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
592           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
593           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
594                 distuninstallcheck \
595           && chmod -R a-w "$$dc_install_base" \
596           && ({ \
597                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
598                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
599                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
600                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
601                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
602               } || { rm -rf "$$dc_destdir"; exit 1; }) \
603           && rm -rf "$$dc_destdir" \
604           && $(MAKE) $(AM_MAKEFLAGS) dist \
605           && rm -rf $(DIST_ARCHIVES) \
606           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
607           && cd "$$am__cwd" \
608           || exit 1
609         $(am__post_remove_distdir)
610         @(echo "$(distdir) archives ready for distribution: "; \
611           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
612           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
613 distuninstallcheck:
614         @test -n '$(distuninstallcheck_dir)' || { \
615           echo 'ERROR: trying to run $@ with an empty' \
616                '$$(distuninstallcheck_dir)' >&2; \
617           exit 1; \
618         }; \
619         $(am__cd) '$(distuninstallcheck_dir)' || { \
620           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
621           exit 1; \
622         }; \
623         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
624            || { echo "ERROR: files left after uninstall:" ; \
625                 if test -n "$(DESTDIR)"; then \
626                   echo "  (check DESTDIR support)"; \
627                 fi ; \
628                 $(distuninstallcheck_listfiles) ; \
629                 exit 1; } >&2
630 distcleancheck: distclean
631         @if test '$(srcdir)' = . ; then \
632           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
633           exit 1 ; \
634         fi
635         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
636           || { echo "ERROR: files left in build directory after distclean:" ; \
637                $(distcleancheck_listfiles) ; \
638                exit 1; } >&2
639 check-am: all-am
640 check: check-recursive
641 all-am: Makefile
642 installdirs: installdirs-recursive
643 installdirs-am:
644 install: install-recursive
645 install-exec: install-exec-recursive
646 install-data: install-data-recursive
647 uninstall: uninstall-recursive
648
649 install-am: all-am
650         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
651
652 installcheck: installcheck-recursive
653 install-strip:
654         if test -z '$(STRIP)'; then \
655           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
656             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
657               install; \
658         else \
659           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
660             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
661             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
662         fi
663 mostlyclean-generic:
664
665 clean-generic:
666
667 distclean-generic:
668         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
669         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
670
671 maintainer-clean-generic:
672         @echo "This command is intended for maintainers to use"
673         @echo "it deletes files that may require special tools to rebuild."
674 clean: clean-recursive
675
676 clean-am: clean-generic mostlyclean-am
677
678 distclean: distclean-recursive
679         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
680         -rm -f Makefile
681 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
682
683 dvi: dvi-recursive
684
685 dvi-am:
686
687 html: html-recursive
688
689 html-am:
690
691 info: info-recursive
692
693 info-am:
694
695 install-data-am:
696
697 install-dvi: install-dvi-recursive
698
699 install-dvi-am:
700
701 install-exec-am:
702
703 install-html: install-html-recursive
704
705 install-html-am:
706
707 install-info: install-info-recursive
708
709 install-info-am:
710
711 install-man:
712
713 install-pdf: install-pdf-recursive
714
715 install-pdf-am:
716
717 install-ps: install-ps-recursive
718
719 install-ps-am:
720
721 installcheck-am:
722
723 maintainer-clean: maintainer-clean-recursive
724         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
725         -rm -rf $(top_srcdir)/autom4te.cache
726         -rm -f Makefile
727 maintainer-clean-am: distclean-am maintainer-clean-generic
728
729 mostlyclean: mostlyclean-recursive
730
731 mostlyclean-am: mostlyclean-generic
732
733 pdf: pdf-recursive
734
735 pdf-am:
736
737 ps: ps-recursive
738
739 ps-am:
740
741 uninstall-am:
742
743 .MAKE: $(am__recursive_targets) install-am install-strip
744
745 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
746         am--refresh check check-am clean clean-cscope clean-generic \
747         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
748         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
749         distcheck distclean distclean-generic distclean-hdr \
750         distclean-tags distcleancheck distdir distuninstallcheck dvi \
751         dvi-am html html-am info info-am install install-am \
752         install-data install-data-am install-dvi install-dvi-am \
753         install-exec install-exec-am install-html install-html-am \
754         install-info install-info-am install-man install-pdf \
755         install-pdf-am install-ps install-ps-am install-strip \
756         installcheck installcheck-am installdirs installdirs-am \
757         maintainer-clean maintainer-clean-generic mostlyclean \
758         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
759         uninstall-am
760
761 .PRECIOUS: Makefile
762
763
764 # Tell versions [3.59,3.63) of GNU make to not export all variables.
765 # Otherwise a system limit (for SysV at least) may be exceeded.
766 .NOEXPORT: